<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/Alerts/include/Alerts/AlertObserverInterface.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_6a3d888c77d91a2c06c3ff7a43c42895.html">Alerts</a></li><li class="navelem"><a class="el" href="dir_32ca2b1be26df65d1a152938de056228.html">include</a></li><li class="navelem"><a class="el" href="dir_0756d7cbdb43a6da05839251aad86022.html">Alerts</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">AlertObserverInterface.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_alert_observer_interface_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_CAPABILITYAGENTS_ALERTS_INCLUDE_ALERTS_ALERTOBSERVERINTERFACE_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_CAPABILITYAGENTS_ALERTS_INCLUDE_ALERTS_ALERTOBSERVERINTERFACE_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">namespace </span>capabilityAgents {</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span>alerts {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html">   28</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html">AlertObserverInterface</a> {</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9">   33</a></span>&#160;    <span class="keyword">enum class</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9">State</a> {</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9a2baa69eafc7204f3bd8648eba580c489">READY</a>,</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9a17130e6c806885e23770df1519b18eb7">STARTED</a>,</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9a09d4d696b4e935115b9313e3c412509a">STOPPED</a>,</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9adbd414f9aaabb67e8430e9520f604a79">SNOOZED</a>,</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9a8f7afecbc8fbc4cd0f50a57d1172482e">COMPLETED</a>,</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9a560bb2d9ea9002aa8c70a4462ca6c304">PAST_DUE</a>,</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9aa72d9c6d4fab6a8bb2fcc8fe3f7dff13">FOCUS_ENTERED_FOREGROUND</a>,</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9a8f2c39a6e3871da5c682a37a792a6b05">FOCUS_ENTERED_BACKGROUND</a>,</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9abb1ca97ec761fc37101737ba0aa2e7c5">ERROR</a></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    };</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a18424e8c988cd58fd5849e883b2aca30">~AlertObserverInterface</a>() = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#af1b8e87384563b9bc68d4a995a4e84fd">onAlertStateChange</a>(</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        <span class="keyword">const</span> std::string&amp; alertToken,</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        <span class="keyword">const</span> std::string&amp; alertType,</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9">State</a> state,</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        <span class="keyword">const</span> std::string&amp; reason = <span class="stringliteral">&quot;&quot;</span>) = 0;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    <span class="keyword">static</span> std::string <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#aee93aef91a98c0b7aacff47e9b84278d">stateToString</a>(<a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9">State</a> state);</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;};</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#aee93aef91a98c0b7aacff47e9b84278d">   82</a></span>&#160;<span class="keyword">inline</span> std::string <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#aee93aef91a98c0b7aacff47e9b84278d">AlertObserverInterface::stateToString</a>(<a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9">State</a> state) {</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="keywordflow">switch</span> (state) {</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9a2baa69eafc7204f3bd8648eba580c489">State::READY</a>:</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;READY&quot;</span>;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9a17130e6c806885e23770df1519b18eb7">State::STARTED</a>:</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;STARTED&quot;</span>;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9a09d4d696b4e935115b9313e3c412509a">State::STOPPED</a>:</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;STOPPED&quot;</span>;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9adbd414f9aaabb67e8430e9520f604a79">State::SNOOZED</a>:</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;SNOOZED&quot;</span>;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9a8f7afecbc8fbc4cd0f50a57d1172482e">State::COMPLETED</a>:</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;COMPLETED&quot;</span>;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9a560bb2d9ea9002aa8c70a4462ca6c304">State::PAST_DUE</a>:</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;PAST_DUE&quot;</span>;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9aa72d9c6d4fab6a8bb2fcc8fe3f7dff13">State::FOCUS_ENTERED_FOREGROUND</a>:</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;FOCUS_ENTERED_FOREGROUND&quot;</span>;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9a8f2c39a6e3871da5c682a37a792a6b05">State::FOCUS_ENTERED_BACKGROUND</a>:</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;FOCUS_ENTERED_BACKGROUND&quot;</span>;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9abb1ca97ec761fc37101737ba0aa2e7c5">State::ERROR</a>:</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;ERROR&quot;</span>;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    }</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    <span class="keywordflow">return</span> <span class="stringliteral">&quot;unknown State&quot;</span>;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;}</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#abf030c7ae76d3b189bfa24c3614ed062">  113</a></span>&#160;<span class="keyword">inline</span> std::ostream&amp; <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a60c128bd61e5d52fb1a0fa6a0ac67739">operator&lt;&lt;</a>(std::ostream&amp; stream, <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9">AlertObserverInterface::State</a>&amp; state) {</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    <span class="keywordflow">return</span> stream &lt;&lt; <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#aee93aef91a98c0b7aacff47e9b84278d">AlertObserverInterface::stateToString</a>(state);</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;}</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;}  <span class="comment">// namespace alerts</span></div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;}  <span class="comment">// namespace capabilityAgents</span></div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_CAPABILITYAGENTS_ALERTS_INCLUDE_ALERTS_ALERTOBSERVERINTERFACE_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface_html_a0ceb2f80d92998fad4842437760dfad9aa72d9c6d4fab6a8bb2fcc8fe3f7dff13"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9aa72d9c6d4fab6a8bb2fcc8fe3f7dff13">alexaClientSDK::capabilityAgents::alerts::AlertObserverInterface::State::FOCUS_ENTERED_FOREGROUND</a></div><div class="ttdoc">The alert has entered the foreground. </div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface_html_a0ceb2f80d92998fad4842437760dfad9"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9">alexaClientSDK::capabilityAgents::alerts::AlertObserverInterface::State</a></div><div class="ttdeci">State</div><div class="ttdef"><b>Definition:</b> AlertObserverInterface.h:33</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface_html_a0ceb2f80d92998fad4842437760dfad9a8f2c39a6e3871da5c682a37a792a6b05"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9a8f2c39a6e3871da5c682a37a792a6b05">alexaClientSDK::capabilityAgents::alerts::AlertObserverInterface::State::FOCUS_ENTERED_BACKGROUND</a></div><div class="ttdoc">The alert has entered the background. </div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface_html_a18424e8c988cd58fd5849e883b2aca30"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a18424e8c988cd58fd5849e883b2aca30">alexaClientSDK::capabilityAgents::alerts::AlertObserverInterface::~AlertObserverInterface</a></div><div class="ttdeci">virtual ~AlertObserverInterface()=default</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface_html_a0ceb2f80d92998fad4842437760dfad9a2baa69eafc7204f3bd8648eba580c489"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9a2baa69eafc7204f3bd8648eba580c489">alexaClientSDK::capabilityAgents::alerts::AlertObserverInterface::State::READY</a></div><div class="ttdoc">The alert is ready to start, and is waiting for channel focus. </div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface_html_a0ceb2f80d92998fad4842437760dfad9adbd414f9aaabb67e8430e9520f604a79"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9adbd414f9aaabb67e8430e9520f604a79">alexaClientSDK::capabilityAgents::alerts::AlertObserverInterface::State::SNOOZED</a></div><div class="ttdoc">The alert has snoozed. </div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface_html_af1b8e87384563b9bc68d4a995a4e84fd"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#af1b8e87384563b9bc68d4a995a4e84fd">alexaClientSDK::capabilityAgents::alerts::AlertObserverInterface::onAlertStateChange</a></div><div class="ttdeci">virtual void onAlertStateChange(const std::string &amp;alertToken, const std::string &amp;alertType, State state, const std::string &amp;reason=&quot;&quot;)=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface_html_a0ceb2f80d92998fad4842437760dfad9a09d4d696b4e935115b9313e3c412509a"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9a09d4d696b4e935115b9313e3c412509a">alexaClientSDK::capabilityAgents::alerts::AlertObserverInterface::State::STOPPED</a></div><div class="ttdoc">The alert has stopped due to user or system intervention. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface_html_a0ceb2f80d92998fad4842437760dfad9a8f7afecbc8fbc4cd0f50a57d1172482e"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9a8f7afecbc8fbc4cd0f50a57d1172482e">alexaClientSDK::capabilityAgents::alerts::AlertObserverInterface::State::COMPLETED</a></div><div class="ttdoc">The alert has completed on its own. </div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface_html_a0ceb2f80d92998fad4842437760dfad9a560bb2d9ea9002aa8c70a4462ca6c304"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9a560bb2d9ea9002aa8c70a4462ca6c304">alexaClientSDK::capabilityAgents::alerts::AlertObserverInterface::State::PAST_DUE</a></div><div class="ttdoc">The alert has been determined to be past-due, and will not be rendered. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_html_a60c128bd61e5d52fb1a0fa6a0ac67739"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a60c128bd61e5d52fb1a0fa6a0ac67739">alexaClientSDK::capabilityAgents::alerts::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;stream, const Alert::State &amp;state)</div><div class="ttdef"><b>Definition:</b> Alert.h:517</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface_html_a0ceb2f80d92998fad4842437760dfad9abb1ca97ec761fc37101737ba0aa2e7c5"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9abb1ca97ec761fc37101737ba0aa2e7c5">alexaClientSDK::capabilityAgents::alerts::AlertObserverInterface::State::ERROR</a></div><div class="ttdoc">The alert has encountered an error. </div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface_html_a0ceb2f80d92998fad4842437760dfad9a17130e6c806885e23770df1519b18eb7"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9a17130e6c806885e23770df1519b18eb7">alexaClientSDK::capabilityAgents::alerts::AlertObserverInterface::State::STARTED</a></div><div class="ttdoc">The alert has started. </div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html">alexaClientSDK::capabilityAgents::alerts::AlertObserverInterface</a></div><div class="ttdef"><b>Definition:</b> AlertObserverInterface.h:28</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface_html_aee93aef91a98c0b7aacff47e9b84278d"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#aee93aef91a98c0b7aacff47e9b84278d">alexaClientSDK::capabilityAgents::alerts::AlertObserverInterface::stateToString</a></div><div class="ttdeci">static std::string stateToString(State state)</div><div class="ttdef"><b>Definition:</b> AlertObserverInterface.h:82</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
